import request from '@/utils/request'

/******************楼栋楼层*******************/
//楼栋tree列表
export function systemBuildingGetTreeList(data) {
  return request({
    url: '/system/building/getTreeList',
    method: 'post',
    data: data
  })
}
//应急处置-获取楼层-智能物联设备列表
export function iotBigViewDeviceFindByType(data) {
  return request({
    url: '/iot/bigView/device/findByType',
    method: 'post',
    data: data
  })
}
//查询当前正在发生的预案
export function laboratoryBigViewSelectTriggerInfo(query) {
  return request({
    url: '/laboratory/bigView/selectTriggerInfo',
    method: 'get',
    params: query
  })
}
//应急处置-获取楼层布局数据
export function laboratoryBigViewGetFloorByBigView(query) {
  return request({
    url: '/laboratory/bigView/getFloorByBigView',
    method: 'get',
    params: query
  })
}
//应急处置-查询楼层/实验室人员
export function laboratoryBigViewOnLineUserList(data) {
  return request({
    url: '/laboratory/bigView/onLineUserList',
    method: 'post',
    data: data
  })
}
/*                部门下拉列表(无数据权限)
* deptName        名称
* level           查询级别
* deptType        1.学院 0.非学院
*/
export function getDeptDropList(data) {
  return request({
    url: '/system/dept/dropList',
    method: 'post',
    data: data
  })
}

/*
应急处置-指定物联设备查询列表
typeKey:'camera'//摄像头
楼层或实验室 floorId 楼层ID  subjectId  实验室ID
*/
export function iotBigViewDeviceList(data) {
  return request({
    url: '/iot/bigView/device/list',
    method: 'post',
    data: data
  })
}

//应急处置-查询实验室传感器列表
export function iotBigViewDeviceFindBySubId(query) {
  return request({
    url: '/iot/bigView/device/findBySubId',
    method: 'get',
    params: query
  })
}

//执行记录-详情
export function laboratoryEventFindByEventId(query) {
  return request({
    url: '/laboratory/event/findByEventId',
    method: 'get',
    params: query
  })
}
//实验室-详情
export function laboratorySubRelInfoGetDetailInfo(query) {
  return request({
    url: '/laboratory/subRelInfo/getDetailInfo',
    method: 'get',
    params: query
  })
}

//应急处置-喇叭播放文本
export function iotBigViewSpeakerPlayText(query) {
  return request({
    url: '/iot/bigView/speaker/playText',
    method: 'get',
    params: query
  })
}

//应急处置-结束预案
export function laboratoryPlanCloseRiskPlan(query) {
  return request({
    url: '/laboratory/plan/closeRiskPlan',
    method: 'get',
    params: query
  })
}

//获取摄像头流地址
export function iotCameraFindByCondition(data) {
  return request({
    url: '/iot/camera/findByCondition',
    method: 'post',
    data: data
  })
}
